Cicle API
Cicle
App
Contact
  1. Cards
  • Getting Started
    • Introduction
    • Authentication
    • Managing API Keys
    • Rate Limiting
    • Error Codes
  • Companies
    • Overview
    • Get Companies
  • Teams
    • Overview
    • Get Current Teams
  • Boards
    • Overview
    • Get Board with Lists and Cards
    • Get Board with Lists
  • Lists
    • Overview
    • Get All Lists by Company and Team
  • Cards
    • Overview
    • Managing Cards
    • Labels And Members
    • Checklists
    • Comments And Discussions
    • Card Members
      • Toggle Multiple Members
    • Card Labels
      • Toggle Multiple Labels
    • Card Cheers
      • Create Cheer on Card
      • Delete Cheer from Card
    • Card Comments
      • Create Comment
      • Get Card Comments
      • Update Comment on Card
      • Delete Comment from Card
    • Comment Cheers
      • Create Cheer on Comment
      • Delete Cheer from Comment
    • Card Discussions
      • Create Discussion on Comment
      • Update Discussion
      • Delete Discussion
    • Discussion Cheers
      • Create Cheer on Discussion
      • Delete Cheer from Discussion
    • Card Attachments
      • Delete Attachment from Card
      • Update Attachment Name on Card
    • Checklists
      • Checklist Items
        • Checklist Item Attachments
          • Delete Attachment from Checklist Item
          • Update Attachment Name on Checklist Item
        • Get Checklist Items
        • Create Checklist Item
        • Get Checklist Item by ID
        • Update Checklist Item Name
        • Update Checklist Item Date
        • Toggle Checklist Item Complete Status
        • Reorder Checklist Item
        • Toggle Members on Checklist Item
        • Copy Checklist Item
        • Delete Checklist Item
      • Get Checklists
      • Create Checklist
      • Update Checklist Name
      • Reorder Checklist Position
      • Copy Checklist
      • Delete Checklist
    • Card Metadata
      • Get Card Company and Team
    • Create Card
      POST
    • Copy Card
      POST
    • Archive Cards
      PATCH
    • Archive Cards Multi Team
      PATCH
    • Copy Cards Multi Team
      PATCH
    • Move Cards Multi Team
      PATCH
    • Update Cards Multi Team
      PATCH
    • Reorder Card Position
      PATCH
    • Update Card
      PATCH
    • Archive Card
      PATCH
    • Unarchive Card
      PATCH
    • Get Card Details
      GET
    • Get List Card
      GET
  • My Tasks
    • List All My Tasks
    • List All My Tasks In List
  • Schemas
    • Card
      • Card
      • Checklist
      • Discussion
      • Checklist Item
      • Attachment
      • Cheer
      • Comment
      • Label
      • List
      • Company
      • Team
  1. Cards

Get Card Details

GET
https://primaryapi.cicle.app/v2/cards/:cardId
Last modified:2026-07-02 07:23:00
Maintainer:Putu Aditya
Get card details with fully populated creator, members, comments, discussions, cheers, and attachments.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200Success
application/json
Card details retrieved successfully
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://primaryapi.cicle.app/v2/cards/?companyId=&teamId=' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "message": "string",
    "card": {
        "name": "string",
        "cover": "string",
        "creator": "string",
        "members": [
            {
                "_id": "string",
                "fullName": "string",
                "photoUrl": "string"
            }
        ],
        "checklists": [
            "string"
        ],
        "allChecklistItemsCount": {
            "completed": 0,
            "total": 0
        },
        "cheers": [
            {
                "_id": "string",
                "content": "string",
                "creator": {
                    "_id": "string",
                    "photoUrl": "string"
                },
                "receiver": "string",
                "primaryParent": {
                    "id": "string",
                    "type": "string"
                },
                "secondaryParent": {
                    "id": "string",
                    "type": "string"
                },
                "isNotified": true,
                "comment": "string",
                "card": "string",
                "featureType": "string",
                "company": "string",
                "team": "string",
                "createdAt": "string",
                "updatedAt": "string",
                "__v": 0,
                "notification": "string"
            }
        ],
        "comments": [
            "string"
        ],
        "labels": [
            {
                "_id": "string",
                "name": "string",
                "creator": "string",
                "color": {
                    "_id": "string",
                    "name": "string"
                },
                "company": "string",
                "team": "string",
                "board": "string",
                "createdAt": "string",
                "updatedAt": "string",
                "__v": 0
            }
        ],
        "attachments": [
            {
                "_id": "string",
                "name": "string",
                "url": "string",
                "creator": {
                    "_id": "string",
                    "fullName": "string",
                    "photoUrl": "string"
                },
                "type": "string",
                "mimeType": "string",
                "isDeleted": true,
                "company": "string",
                "team": "string",
                "card": "string",
                "seen": [
                    "string"
                ],
                "cheers": [
                    {
                        "_id": "string",
                        "content": "string",
                        "creator": {
                            "_id": "string",
                            "photoUrl": "string"
                        },
                        "receiver": "string",
                        "primaryParent": {
                            "id": "string",
                            "type": "string"
                        },
                        "secondaryParent": {
                            "id": "string",
                            "type": "string"
                        },
                        "isNotified": true,
                        "comment": "string",
                        "card": "string",
                        "featureType": "string",
                        "company": "string",
                        "team": "string",
                        "createdAt": "string",
                        "updatedAt": "string",
                        "__v": 0,
                        "notification": "string"
                    }
                ],
                "createdAt": "string",
                "updatedAt": "string",
                "__v": 0
            }
        ],
        "complete": {
            "status": true,
            "type": "todo",
            "setAt": "string",
            "updatedAt": "string"
        },
        "isNotified": {
            "startOneHour": true,
            "startOneDay": true,
            "dueOneHour": true,
            "dueOneDay": true
        },
        "archived": {
            "status": true
        },
        "isPublic": true,
        "workload": {
            "value": null,
            "measurement": "string"
        },
        "company": "string",
        "team": "string",
        "board": "string",
        "list": "string",
        "seen": [
            "string"
        ],
        "_id": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "__v": 0
    }
}
Previous
Unarchive Card
Next
Get List Card
Built with